Skip to main content

upgrade opencart 3.0.3.2 to opencart 4.0 OR opencart 3.0.3.8

Comments

3 comments

  • Karapuz

    Hello, Mayur,

    Opencart 4.0 is has several major issues. Many modules are not compatible with it. You should not use it until a couple of new versions will be released. 

    There is no much improvements in Opencart 3.0.3.8. I would stay at version 3.0.3.2 for next few years. It should work fine. If you have any issues with specific parts of the store you can fix them locally without a need to upgrade the whole store.

    Kind regards

    Karapuz

    0
  • mayur panchal

    Thank you for your answer 
    Our client wants to upgrade the version as they told this is the older version of the opencart.

    1
  • Karapuz

    Hello, Mayur,

    Old is not obsolete. Opencart store can be upgraded within a minor number by overwriting existing files with default ones and patching the database. If you have any custom changes hard-coded to core files they have to be transferred to a new version or better, they can be wrapped to *.ocmod.xml files and installed as modules. 

    It is not safe to upgrade just back-end without the front-end because they communicate with each other and they also use a shared 'library' directory.

    But again, that upgrade is not worth it in my opinion. I would spend that money on adding a new functionality.

    Kind regards

    Karapuz

    0

Please sign in to leave a comment.

Powered by Zendesk